data example4_6;
do block=1 to 10;
do treat=1 to 3;
input x @@;
output;
end;
end;
cards;
1	1	1
1	1	1
2	3	2
4	4	5
2	2	2
3	2	3
2	2	2
1	1	1
3	3	2
2	2	3
;
proc freq;
tables block*treat*x/noprint scores=rank cmh2;  
/*scores选项和cmh2选项输出基于秩次的行平均得分差值*/
run;
